// CntrItem.cpp : implementation of the CGUIConsCntrItem class
//

#include "stdafx.h"
#include "GUICons.h"

#include "GUIConsDoc.h"
#include "GUIConsView.h"
#include "CntrItem.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGUIConsCntrItem implementation

IMPLEMENT_SERIAL(CGUIConsCntrItem, CRichEditCntrItem, 0)

CGUIConsCntrItem::CGUIConsCntrItem(REOBJECT* preo, CGUIConsDoc* pContainer)
        : CRichEditCntrItem(preo, pContainer)
{
        // TODO: add one-time construction code here
        
}

CGUIConsCntrItem::~CGUIConsCntrItem()
{
        // TODO: add cleanup code here
        
}

/////////////////////////////////////////////////////////////////////////////
// CGUIConsCntrItem diagnostics

#ifdef _DEBUG
void CGUIConsCntrItem::AssertValid() const
{
        CRichEditCntrItem::AssertValid();
}

void CGUIConsCntrItem::Dump(CDumpContext& dc) const
{
        CRichEditCntrItem::Dump(dc);
}
#endif

/////////////////////////////////////////////////////////////////////////////
